/* $Id$ */
/*============================================================================*
 |                 Copyright (c) 2013 Applaud Solutions UK Ltd                |
 |                             All rights reserved                            |
 *===========================================================================*/

SET VERIFY OFF
SET FEEDBACK OFF
SET SCAN OFF
WHENEVER OSERROR  EXIT FAILURE ROLLBACK
WHENEVER SQLERROR EXIT FAILURE ROLLBACK



DECLARE 

  e_dir_exists EXCEPTION;
  PRAGMA EXCEPTION_INIT(e_dir_exists, -31003);

  e_does_not_exists EXCEPTION;
  PRAGMA EXCEPTION_INIT(e_does_not_exists , -31001);

  result boolean;
  
BEGIN

  BEGIN

    result := DBMS_XDB.createfolder('/public/xxas/');
    result := DBMS_XDB.createfolder('/public/xxas/emp/');
    result := DBMS_XDB.createfolder('/public/xxas/emp/view/');

  EXCEPTION
    WHEN e_dir_exists THEN
      NULL;
  END;

  
  BEGIN

    DBMS_XDB.DeleteResource('/public/xxas/emp/view/goal-cascade.xml');

  EXCEPTION  
    WHEN e_does_not_exists THEN
      NULL;
  END;
  
  result := DBMS_XDB.createresource('/public/xxas/emp/view/goal-cascade.xml',
'<View submitLabel="{message.XXAS_RB_COM_SAVE}" showSubmit="true" title="CascadeGoal" formHelp="{message.XXAS_PERF_GOAL_CASCADE_DESC}" defaultFormHandler="xxas_goals_pkg.update_row_form_handler">
  <EditFields>
      <Hidden id="PERF_PLAN_ID"/>
      <Hidden id="PERSON_ID"/>
      <Hidden id="ASSIGNMENT_ID"/>
      <Hidden id="PERF_PLAN_ENROLLMENT_ID"/>
      <Poplist showAsBoolean="true" id="ALL_GOALS" enabled="true" label="{message.XXAS_PERF_SEL_ALL_BUSI_GOALS}" listProvider="LOOKUP_TYPE:YES_NO" value= "N" positiveBooleanValue="Y" visible="true" />
      <Combolist id="GOALS" label="{message.XXAS_PERF_GOALS_TO_CASCADE}" required="true" hideIf="(model.ALL_GOALS.value == &apos;Y&apos;)" longlist="true" multipleSelection="true" style="tags" listProvider="REST:goals/get-goals-to-cascade/${field.PERF_PLAN_ENROLLMENT_ID}"/>
      <Poplist showAsBoolean="true" id="ALL_DRS" enabled="true" label="{message.XXAS_PERF_SEL_ALL_DRS}" listProvider="LOOKUP_TYPE:YES_NO" value= "N" positiveBooleanValue="Y" visible="true" />
      <Combolist id="EMPLOYEES" label="{message.XXAS_PERF_TO_CASCADE}" required="true" hideIf="(model.ALL_DRS.value == &apos;Y&apos;)" longlist="true" multipleSelection="true" style="tags" listProvider="REST:goals/get-cascade-to/${field.PERSON_ID}/${field.ASSIGNMENT_ID}/${field.PERF_PLAN_ID}"/>
  </EditFields>
</View>
' ); 
xxas_forms_pkg.update_forms_resource('/public/xxas/emp/view/goal-cascade.xml');
END;
/
COMMIT;
EXIT;